[arch-commits] Commit in pure-ftpd/trunk (PKGBUILD pure-ftpd.install)

Allan McRae allan at archlinux.org
Sat Jun 6 09:18:09 EDT 2009


    Date: Saturday, June 6, 2009 @ 09:18:09
  Author: allan
Revision: 41680

upgpkg: pure-ftpd 1.0.22-1
    upstream update, add tls support (FS#14445) and needed openssl dep, remove install file (FS#10240), fix license dir name

Modified:
  pure-ftpd/trunk/PKGBUILD
Deleted:
  pure-ftpd/trunk/pure-ftpd.install

-------------------+
 PKGBUILD          |   33 ++++++++++++++-------------------
 pure-ftpd.install |   22 ----------------------
 2 files changed, 14 insertions(+), 41 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-06 12:40:53 UTC (rev 41679)
+++ PKGBUILD	2009-06-06 13:18:09 UTC (rev 41680)
@@ -3,35 +3,30 @@
 # Contributor: BlueRaven <blue at ravenconsulting.it>
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=pure-ftpd
-pkgver=1.0.21
-pkgrel=4
+pkgver=1.0.22
+pkgrel=1
 pkgdesc="A fast, production quality, standards-conformant FTP server"
+arch=('i686' 'x86_64')
 url="http://www.pureftpd.org/"
 license=('custom')
-arch=(i686 x86_64)
-depends=('libcap>=2.16' 'perl')
+depends=('libcap>=2.16' 'perl' 'openssl')
 backup=('etc/pure-ftpd.conf')
-install=pure-ftpd.install
 source=(ftp://ftp.pureftpd.org/pub/pure-ftpd/releases/$pkgname-$pkgver.tar.bz2\
         pure-ftpd pure-ftpd.conf pure-config.pl)
-md5sums=('ca8a8dbec0cd9c8ea92fc4c37ea9c410'
+md5sums=('3e131e1bb5a7ae8fc63bc0068fd351be'
          '13cf942b643db7cf3e612185366391ca'
          '32eece2a4fef7ebe32ec06761bc3edd1'
          '007f1327760272c696d2e365211e552c')
-sha1sums=('1405ff2b9b9c3616c4e390eb99779884173a3347'
-          'c63f2c3d29a6cfe86d62a20590f101d67f4dddd8'
-          '6a8bdadfb84204bb87db4580f5e14212efd53baa'
-          '274bf6399afa4fbb6cb8593181c103e3ff7f1070')
 
 build() {
-   cd $startdir/src/$pkgname-$pkgver
-   ./configure --prefix=/usr --with-puredb --with-ftpwho --with-altlog
-   make || return 1
-   make prefix=$startdir/pkg/usr install
-	install -D -m755 ../pure-ftpd $startdir/pkg/etc/rc.d/pure-ftpd
-   install -D -m644 ../pure-ftpd.conf $startdir/pkg/etc/pure-ftpd.conf
-   install -D -m755 ../pure-config.pl $startdir/pkg/usr/sbin/pure-config.pl
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --with-puredb --with-ftpwho --with-altlog --with-tls
+  make || return 1
+  make prefix=$pkgdir/usr install
+  install -Dm755 $srcdir/pure-ftpd $pkgdir/etc/rc.d/pure-ftpd
+  install -Dm644 $srcdir/pure-ftpd.conf $pkgdir/etc/pure-ftpd.conf
+  install -Dm755 $srcdir/pure-config.pl $pkgdir/usr/sbin/pure-config.pl
 
-   #install license
-   install -D COPYING $startdir/pkg/usr/share/licenses/pure-fptd/LICENSE
+  #install license
+  install -Dm644 COPYING $pkgdir/usr/share/licenses/pure-ftpd/LICENSE
 }

Deleted: pure-ftpd.install
===================================================================
--- pure-ftpd.install	2009-06-06 12:40:53 UTC (rev 41679)
+++ pure-ftpd.install	2009-06-06 13:18:09 UTC (rev 41680)
@@ -1,22 +0,0 @@
-# arg 1: the new package version
-post_install() {
-	post_upgrade
-}
-
-# arg 1: the new package version
-# arg 2: the old package version
-post_upgrade() {
-	echo ">> IMPORTANT: Unless you want to run pure-ftpd as root, you must"
-	echo ">> either enable CONFIG_SECURITY_CAPABILITIES in your kernel"
-	echo ">> kernel or add capability to the MODULES array in /etc/rc.conf." 
-}
-
-# arg 1: the old package version
-pre_remove() {
-	/bin/true
-}
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list